SETLEDS(1)

NAZWA
setleds - ustawia diody klawiatury

SKŁADNIA
setleds [-v] [-L] [-D] [-F] [{+|-}num] [{+|-}caps] [{+|-}scroll]

OPIS

setleds odczytuje i zmienia ustawienia światełek LED (zwanych NumLock, CapsLock i ScrollLock) bieżącego VT (termianla wirtualnego). Bez argumentów polecenie setleds wypisuje obecne ustawienia. Z argumentami ustawia lub wyłącza wskazane flagi (pozostawiając inne niezmienione). Ustawienia przed i po zmianie są zgłaszane jeśli podano opcję -v.

Ustawienia flag did są specyficzne dla każdego VT (i używany jest VT odpowiadający strumieniowi wejścia, czyli stdin).

setleds domyślnie (lub z opcją -F) tylko zmienia flagi VT (i ich ustawienie może wpłynąć na diody klawiatury).

Użyty z opcją -D, setleds zmieni obydwie flagi VT i ich domyślne ustawienia (a więc kolejny reset nie odwoła zmiany). Może to być użyteczne dla ludzi, którzy zawsze chcą mieć włączony numlock.

Użyty z opcją -L, setleds nie rusza flag VT, a jedynie zmienia stan diod. Od tej chwili diody nie będą oddawać rzeczywistego stanu flag VT (ale zareagują na każdą zmianę). Polecenie setleds -L (bez kolejnych argumentów) przywróci sytuację, w której diody oddają stan flag VT.

Można użyć setleds w /etc/rc, by zdefiniować początkowy i domyślny stan NumLock, na przykład tak:
INITTY=/dev/tty[1-8]
for tty in $INITTY; do
setleds -D +num < $tty
done

OPCJE

-num +num
    Czyści lub ustawia NumLock. (Od teraz, ustawienie NumLock wpływa na interpretację klawiszy numerycznych. Wciśnięcie klawisza NumLock uzupełnia ustawienie NumLock).

-caps +caps
    Czyści lub ustawia CapsLock. (Od teraz, ustawienie CapsLock dodaje klawisz Shift w stosunku do wprowadzanych liter. Wciśnięcie klawisza CapsLock uzupełnia ustawienie CapsLock).

-scroll +scroll
    Czyści lub ustawia ScrollLock. (Od teraz, wciśnięcie klawisza ScrollLock (lub ^S/^Q) zatrzymuje/wznawia wyjście konsoli).

BŁĘDY
W trybie aplikacji klawiatury klawisz NumLock nie wpływa na ustawienie flagi NumLock.

ZOBACZ TAKŻE
loadkeys(1)

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Paweł Wilk <siefca@pl.qmail.org> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.